package yi.iu.processor.graphseg;

import java.awt.*;

import yi.iu.processor.*;
import yi.iu.processor.channel.HueChnlMaker;

public class GS_HUE extends GraphSeg
{
    public GS_HUE() {
        dm= new DM_HUE();
    }

    public class DM_HUE extends DistanceMeasure
    {
        //return the bare data based on the brightness
        public int[] getBareData(int[] source, Dimension d) {
            return (new HueChnlMaker()).getProcessed(source,d);
        }
    }
}